Name:           ahven
Version:        2.4
Release:        4%{?dist}
Summary:        A unit testing framework for Ada 95
Summary(sv):    Ett enhetstestramverk för ada 95

Group:          System Environment/Libraries
License:        ISC
URL:            http://ahven.stronglytyped.org/
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-gnat make fedora-gnat-project-common
BuildRequires:  python-sphinx python-sphinxcontrib-adadomain
# Build only on architectures where gcc-gnat is available:
ExclusiveArch:  %{GNAT_arches}

%global common_description_en \
Ahven is a simple unit testing library (or a framework) for the Ada \
programming language. It is loosely modeled after Junit and some ideas are \
taken from Aunit.

%global common_description_sv \
Ahven är ett enkelt bibliotek (eller ramverk) för enhetstestning i \
programmeringsspråket ada. Det efterliknar Junit i stora drag, och några idéer \
är hämtade från Aunit.

%description %{common_description_en}

Features:
· Simple API
· Small size
· Junit-compatible test results in XML format, which allows integration with
  tools like Jenkins and Cruisecontrol
· Strict coding style (enforced by Adacontrol)
· Plain Ada 95 code, no Ada 2005 features used, but can be compiled as Ada 2005
  code if needed
· Portable across different compilers and operating systems
· Permissive Open Source license (ISC)

%description -l sv %{common_description_sv}

Fördelar:
· Enkelt programmeringsgränssnitt
· Liten kodstorlek
· Junit-kompatibla testresultat i XML-form, vilket möjliggör samverkan med
  sådana verktyg som Jenkins och Cruisecontrol
· Stränga kodformateringsregler (upprätthållna av Adacontrol)
· Renodlad ada 95-kod som inte använder några ada 2005-finesser men kan
  kompileras som ada 2005 vid behov
· Portabelt mellan olika kompilatorer och operativsystem
· Medgörlig, fri licens (ISC)


%package devel
Summary:        Development files for Ahven
Summary(sv):    Filer för programmering med Ahven
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       fedora-gnat-project-common

%description devel %{common_description_en}

The %{name}-devel package contains source code and linking information for
developing applications that use Ahven.

%description devel -l sv %{common_description_sv}

Paketet %{name}-devel innehåller källkod och länkningsinformation som behövs
för att utveckla program som använder Ahven.


%prep
%setup -q


%build
%{Comfignat_make} GNAT_BUILDER=gnatmake OS_VERSION=unix --directory=contrib/comfignat/gnat


%install
%{make_install} --directory=contrib/comfignat/gnat

# These files aren't needed in the package.
rm %{buildroot}%{_pkgdocdir}/html/{.buildinfo,objects.inv}

# Include these documentation files.
cp --preserve=timestamps README.rst ROADMAP NEWS %{buildroot}%{_pkgdocdir}


%check
%global GNAT_add_rpath x
# Disable the hardening hack only for the testsuite.
# https://bugzilla.redhat.com/show_bug.cgi?id=1197501
%undefine _hardened_build
%{Comfignat_make} GNAT_BUILDER=gnatmake check --directory=contrib/comfignat/gnat
%{_rpmconfigdir}/check-rpaths


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_libdir}/*.so.*
%license LICENSE

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}
%{_GNAT_project_dir}/*
%{_pkgdocdir}


%changelog
* Thu Apr 02 2015 Björn Persson <bjorn@rombobjörn.se> - 2.4-4
- Don't build on ppc64le.

* Wed Apr 01 2015 Björn Persson <bjorn@rombobjörn.se> - 2.4-3
- Removed two files that Sphinx generates, that aren't needed in the package.

* Sun Mar 29 2015 Björn Persson <bjorn@rombobjörn.se> - 2.4-2
- Tagged the license file as such.
- Fixed to build in current Rawhide.

* Wed Feb 12 2014 Björn Persson <bjorn@rombobjörn.se> - 2.4-1
- Ready to be submitted for review.
